package com.common.commonlib

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context

/**
 * 基础Application
 *
 * @author wangym
 * @since 2021/7/28
 */
@SuppressLint("StaticFieldLeak")
open class CommonApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        intLibs(this)
    }

    private fun intLibs(context: Context) {
        commonContext = context
    }

    companion object {
        private var commonContext: Context? = null

        fun getContext(): Context? {
            return commonContext
        }
    }
}